Bug 30346 - printconf 0.2.1-1 rpm install traceback
Summary: printconf 0.2.1-1 rpm install traceback
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-02 17:41 UTC by Joshua Buysse
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 17:44:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printcap file that didn't upgrade. (505 bytes, text/plain)
2001-03-02 17:44 UTC, Joshua Buysse
no flags Details
printcap file that didn't upgrade. (505 bytes, text/plain)
2001-03-02 17:44 UTC, Joshua Buysse
no flags Details

Description Joshua Buysse 2001-03-02 17:41:39 UTC
root@scratchy:/tmp# rpm -Uvh /usr/src/redhat/RPMS/i386/printconf-*
Preparing...                ########################################### [100%]
   1:printconf              ########################################### [ 50%]
Traceback (innermost last):
  File "/usr/share/printconf/util/import_printtool_queues.py", line 211, in ?
    queue_data.addChild(Alchemist.Data.ADM_TYPE_STRING,
'lpd_strict_rfc1179').setValue(0)
  File "/usr/lib/python1.5/site-packages/Alchemist.py", line 176, in setValue
    string_setValue (self._dat, v)
SystemError: NULL result without error in call_object
error: execution of %trigger scriptlet from printconf-0.2.1-1 failed,
exit status 1


The printcap file was not upgraded.

Comment 1 Joshua Buysse 2001-03-02 17:44:30 UTC
Created attachment 11620 [details]
printcap file that didn't upgrade.

Comment 2 Joshua Buysse 2001-03-02 17:44:48 UTC
Created attachment 11621 [details]
printcap file that didn't upgrade.

Comment 3 Crutcher Dunnavant 2001-03-09 23:00:45 UTC
fixed, trying to set a binary value '0' to a string type that should have been a
bool type.


Note You need to log in before you can comment on or make changes to this bug.